API / geotoolkit / map / sources / GeoRSS / GeoRSS
Vector source that allows user to get features from remote resource in GeoRSS (Geographically Encoded Objects for RSS feeds) format
↳
GeoRSS
Constructors
Methods
Css Properties
| Name | Type | Description |
|---|---|---|
system | string | Initial data coordinate system |
url | string | Data server url |
Constructors
• new GeoRSS(options?)
| Name | Type | Description |
|---|---|---|
Optional options | Options | options |
Vector.constructor
Methods
▸ addFeatures(features, needTransform?): GeoRSS
Notifies source to add features.
| Name | Type | Description |
|---|---|---|
features | AbstractFeature[] | features to add |
Optional needTransform | boolean | true if features should be transformed to the map coordinates |
this
▸ clear(): GeoRSS
Clears all the data.
this
▸ clearFeatures(): GeoRSS
Notifies source to remove all features added.
this
▸ dispose(): void
Disposes this source, once disposed it should not be used anymore.
void
▸ getClassName(): string
string
▸ getCopyright(): string
Returns copyright information.
string
▸ Protected getDataLoader(): AbstractLoader
Returns server data loader (if exists)
▸ getInitialCoordinateSystem(): AbstractSystem
Gets current data initial coordinate system.
Vector.getInitialCoordinateSystem
▸ getMapCoordinateSystem(): AbstractSystem
Gets current map coordinate system.
▸ getModelLimits(): Rect
Returns the current data model limits (presumably loaded from the server if it's settled)
▸ getProperties(): OptionsOut
Returns properties
properties
▸ getRequestResolution(): number
Gets the grid size for layer partitioning that is used for server requests
number
▸ getServerData(): JSONObject | XMLDocument
Returns server data loaded from the server Should be used asynchronically after loadServerData() method is called
JSONObject | XMLDocument
▸ getServerURL(): string | string[]
Gets the server url that is currently used for requests
string | string[]
server url
▸ getTransformerFromMap(): Transformer
Gets transformer to transform data from map coordinate system
▸ getTransformerToMap(): Transformer
Gets transformer to transform data to map coordinate system
▸ getUniqueField(): string
Gets the unique identifier for the dataset
string
field
▸ hasEventListener(type, callback?): boolean
Check if a list of event listeners for this type contains this listener
| Name | Type | Description |
|---|---|---|
type | string | type of event or property |
Optional callback | Function | to be called, if null, check if any callback is registered |
boolean
▸ Protected initLoader(loader?): GeoRSS
Initializes the loader provided
| Name | Type | Description |
|---|---|---|
Optional loader | AbstractLoader | loader to use |
this
▸ isDataLoaded(): boolean
Returns true if server data is already loaded (or no loader provided)
boolean
▸ isDataReady(): boolean
Checks if source (current visible) data is loaded and ready to be rendered
boolean
▸ isDisposed(): boolean
Returns whether this object has been disposed
boolean
▸ isLoading(): boolean
Checks if some of the requests haven't been finished yet. Returns true if some data is loading, false otherwise.
boolean
▸ isSilent(): boolean
Return true if the event dispatcher doesn't notify any events
boolean
▸ loadServerData(): Promise<GeoRSS>
Returns promise that is loaded when server settings are ready to process
Promise<GeoRSS>
▸ loadSourceData(): Promise<AbstractSource>
Returns promise that is resolving when data are ready to process
Promise<AbstractSource>
▸ notify<E>(type, source, args?): GeoRSS
Notify listeners
| Name | Type |
|---|---|
E | extends string |
| Name | Type | Description |
|---|---|---|
type | E | event types |
source | Vector | of the event |
Optional args | EventMap[E] | arguments of the event |
this
▸ off<E>(type?, callback?): GeoRSS
Detach listener on event. Calling .off() with no arguments removes all attached listeners. Calling .off(type) with no callback removes all attached listeners for specific type.
| Name | Type |
|---|---|
E | extends string |
| Name | Type | Description |
|---|---|---|
Optional type | E | type of the event |
Optional callback | (eventType: E, sender: GeoRSS, args: EventMap[E]) => void | function to be called |
this
▸ on<E>(type, callback): GeoRSS
Attach listener on event that will be called whenever the specified event is delivered to the target
If the callback function is already in the list of event listeners for this target, the function is not added a second time.
If a particular anonymous function is in the list of event listeners registered for a certain target, and then later in the code, an identical anonymous function is given in an "on" call, the second function will also be added to the list of event listeners for that target.
| Name | Type |
|---|---|
E | extends string |
| Name | Type | Description |
|---|---|---|
type | E | type of event or property |
callback | (eventType: E, sender: GeoRSS, args: EventMap[E]) => void | to be called |
this
▸ queryFeatures(bbox, layer): GeoRSS
Sends a request for features in given bounding box.
| Name | Type | Description |
|---|---|---|
bbox | Rect | bounding box for features |
layer | AbstractFeatureLayer | layer requesting |
this
▸ removeFeature(feature): GeoRSS
Notifies source to remove feature.
| Name | Type | Description |
|---|---|---|
feature | AbstractFeature | feature to remove |
this
▸ requestData(resource): void
Requests data from the resource and parses the response
| Name | Type | Description |
|---|---|---|
resource | string | resource url for request |
void
▸ Protected resetLastQueryParams(): GeoRSS
Resets saved last queried limits and layer
this
▸ Protected setDataReady(isReady, err?): GeoRSS
Sets source (current visible) data ready/not ready, changes the corresponding promise
| Name | Type | Description |
|---|---|---|
isReady | boolean | true if source data was loaded, false if it needs to be reset |
Optional err | Error | data loading error (if exists) |
this
▸ setInitialCoordinateSystem(system): GeoRSS
Sets the data initial coordinate system.
| Name | Type | Description |
|---|---|---|
system | string | AbstractSystem | initial coordinate system |
this
Vector.setInitialCoordinateSystem
▸ setMapCoordinateSystem(system): GeoRSS
Sets map coordinate system.
| Name | Type | Description |
|---|---|---|
system | string | AbstractSystem | map coordinate system |
this
▸ setProperties(properties?): GeoRSS
Sets properties
| Name | Type | Description |
|---|---|---|
Optional properties | Options | properties |
this
▸ setQueryParameter(param, value?): GeoRSS
Sets custom query parameter to add to the data requests
| Name | Type | Description |
|---|---|---|
param | string | Record<string, string | number> | parameter name or custom parameters object (in name -> value format) |
Optional value | string | number | parameter value |
this
▸ setRequestResolution(resolution): GeoRSS
Sets the grid size for layer partitioning that is used for server requests
| Name | Type | Description |
|---|---|---|
resolution | number | grid size |
this
▸ setServerURL(url): GeoRSS
Sets the server url to use for requesting
| Name | Type | Description |
|---|---|---|
url | string | string[] | server url |
this
▸ setSilent(bool): GeoRSS
Set silent mode
| Name | Type | Description |
|---|---|---|
bool | boolean | flag to enable silent mode |
this
▸ setUniqueField(field): GeoRSS
Sets the unique identifier for the features
| Name | Type | Description |
|---|---|---|
field | string | unique identifier |
this
▸ update(): GeoRSS
Aborts all the sent requests, resends the last one
this
▸ Static getClassName(): string
string